Subject: RE: [ESP] RE: ESP sourceforge

From: "Woolf, A (Andrew) " <[email-masked]>
Date: Thu, 30 Jan 2003 11:28:30 -0000

Sourceforge comes with a CVS repository
(http://sourceforge.net/docman/display_doc.php?docid=753&group_id=1#cvs) if
you wish to use it.

I was asked to set up both, but wasn't at the mtg, so will wait until others
resolve the demarcation and get back to me about what's needed this end!

Cheers,
 - Andrew

> -----Original Message-----
> From: Kleese, K (Kerstin) 
> Sent: 30 January 2003 09:03
> To: 'Dean N. Williams'; Woolf, A (Andrew) 
> Cc: Esp (E-mail)
> Subject: RE: [ESP] RE: ESP sourceforge
> 
> 
> Dear Dean,
> Andrew will set up a CVS repository, however I thought we 
> needed to set up the Source forge here as well?
> Best wishes,
> Kerstin
> 
> 
> **************************************************************
> *********
>                                                                       
>                   Kerstin Kleese - van Dam                    
>            
>                CLRC -  Daresbury Laboratory                           
> 
> Group Leader of the Data Management Group of the 
>                    CLRC e-Science Centre      
>                                                               
>                         
>             Direct Line: ++44 (0) 1925 603832       
>                  Mobile: ++44 (0) 7734408205          
>                    Email: [email-masked]                   
>                                                               
>                              
> http://www.e-science.clrc.ac.uk/Person/NAME=k.kleese;
> 
> **************************************************************
> *********
> 
> 
> 
> 
> -----Original Message-----
> From: Dean N. Williams [mailto:[email-masked]]
> Sent: 29 January 2003 19:49
> To: Woolf, A (Andrew)
> Cc: Esp (E-mail)
> Subject: Re: [ESP] RE: ESP sourceforge
> 
> 
> Hi Andrew,
> 
>     Sourceforge is free and a great way to manage the code 
> releases and 
> bug fixes.
>     I would definitely recommend this as a way to go. It shouldn't be 
> too hard for
>     Chris (or Eric) to setup. I think the first thing to do (that is, 
> once we have some
>     code to share) is to setup a CVS code repository. (I 
> believe Kerstin 
> will be doing
>     this.)
> 
> -Dean
> 
> >While sourceforge can certainly be used for generic web hosting, I'm
> >guessing Chris' page will point to the sourceforge for code 
> development. Was
> >that the idea, Kerstin?
> >
> >Dean - comments on sf licences?
> >
> >  
> >
> >>-----Original Message-----
> >>From: Don Middleton [mailto:[email-masked]]
> >>Sent: 29 January 2003 17:58
> >>To: Woolf, A (Andrew) ; Kleese, K (Kerstin); Lawrence, BN (Bryan) 
> >>Cc: Don Middleton
> >>Subject: Re: ESP sourceforge
> >>
> >>
> >>Hi Andrew et al - Perhaps we should open up the discussion to 
> >>the list? At
> >>the very least, we should add Dean in as he's already got 
> >>CDAT on SF and has
> >>likely considered the license issues. So, 1) Chris will 
> >>almost certainly be
> >>crafting a project description for the website and we could 
> >>reuse here.
> >>Also, what's the relationship between Chris' website, the SF 
> >>site, and the
> >>future UK site? 2) As above, Dean (and probably others on the 
> >>list) could
> >>contribute and, 3) "esportal" seems like a good compromise to me.
> >>
> >>Might see you in Belgium!
> >>
> >>don
> >>
> >>----- Original Message -----
> >>From: "Woolf, A (Andrew) " <[email-masked]>
> >>To: "'Don Middleton'" <[email-masked]>; "Kleese, K (Kerstin)"
> >><[email-masked]>; "Lawrence, BN (Bryan) " <[email-masked]>
> >>Sent: Wednesday, January 29, 2003 10:31 AM
> >>Subject: ESP sourceforge
> >>
> >>
> >>    
> >>
> >>>I was asked to set up an ESP sourceforge site.
> >>>
> >>>Terms and Conditions look reasonably innocuous, but include the
> >>>"...royalty-free, perpetual, irrevocable, non-exclusive and fully
> >>>sublicensable right and license to use, reproduce, modify, 
> >>>      
> >>>
> >>adapt, publish,
> >>    
> >>
> >>>translate, create derivative works from, distribute, 
> >>>      
> >>>
> >>perform and display
> >>    
> >>
> >>>[any uploaded material including source code] worldwide and/or to
> >>>incorporate it in other works in any form, media, or 
> >>>      
> >>>
> >>technology now known
> >>or
> >>    
> >>
> >>>later developed, all subject to the terms of any 
> applicable approved
> >>>license". I assume everyone's OK with that. Full T&C if 
> >>>      
> >>>
> >>interested are at
> >>    
> >>
> >>>http://sourceforge.net/tos/tos.php.
> >>>
> >>>I need two things:
> >>>
> >>>1) A project description. Approval by sourceforge is based 
> >>>      
> >>>
> >>on this, so it
> >>    
> >>
> >>>needs to be reasonably detailed. I could have a shot, but 
> >>>      
> >>>
> >>wasn't actually
> >>    
> >>
> >>>there when ESP was invented, so please could someone else give me
> >>>      
> >>>
> >>something.
> >>    
> >>
> >>>2) Open-source licence. There around 40 canned choices
> >>>(http://www.opensource.org/licenses/) or we can request a 
> >>>      
> >>>
> >>custom one. I am
> >>    
> >>
> >>>no expert and haven't read them all, so maybe something 
> >>>      
> >>>
> >>short and sweet
> >>like
> >>    
> >>
> >>>the BSD or MIT would be best. Let me have your thoughts. 
> >>>      
> >>>
> >>Must this be ran
> >>by
> >>    
> >>
> >>>our legal/outreach dept's?
> >>>
> >>>Finally, there is already a sourceforge ESP project
> >>>(http://sourceforge.net/projects/esp/), so we'll need 
> >>>      
> >>>
> >>another short name.
> >>    
> >>
> >>>Perhaps esportal?
> >>>
> >>> - Andrew
> >>>
> >>>-----------------------------------------------------
> >>>Dr Andrew Woolf ([email-masked])
> >>>Data Management Group, e-Science Centre
> >>>Rutherford Appleton Lab,
> >>>Chilton, Didcot,
> >>>Oxon., OX11 0QX, UK
> >>>Ph: +44 (0)1235 778027
> >>>http://www.escience.clrc.ac.uk/person/a.woolf
> >>>
> >>>      
> >>>
> >_______________________________________________
> >ESP mailing list
> >[email-masked]
> >http://mailman.ucar.edu/mailman/listinfo/esp
> >
> >  
> >
> 
> 
> _______________________________________________
> ESP mailing list
> [email-masked]
> http://mailman.ucar.edu/mailman/listinfo/esp
>